<?php
  
IF (GET('get') == 'obmen'){
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $money = ABS(INTVAL(POST('money')));  
    $balls = $money * 100;
    
    IF ($balls > $user['BALLS']){
      
      ERROR('У вас нет столько баллов', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){
      
      REDIRECT('/users/shop/?get=obmen');
    
    }
    
    DB::GET_SET("UPDATE `USERS` SET `BALLS` = '".($user['BALLS'] - $balls)."', `MONEY` = '".($user['MONEY'] + $money)."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
    
    SUCCESS('Обмен прошел успешно', 'session');
    REDIRECT('/users/shop/');
    
  }
  
  ECHO "<div class='list-body'>";
  
  ECHO "<div class='list-menu'>";
  
  ECHO "<form method='post' class='form' action='/users/shop/?get=obmen'>";

  ECHO "<b>".LG('Введите количество денег').":</b><br />";
  HTML::INPUT('money', 0, NULL, NULL, NULL, 'form-control-30');
  
  HTML::BUTTON('btn-big ajax-button', 'ok', 'refresh', 'Обменять');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<div class='list-menu'>";
  
  ECHO "".LG('Курс').": 100 ".LG('баллов')." = ".MONEY(1, CONFIG('MONEY'), 3)."<br /><br />";
  
  ECHO "".LG('У Вас').": ".$user['BALLS']." ".LG('баллов')."";
  
  ECHO "</div>";
  
  ECHO "</div>";
  
  ECHO "<div class='list'>";
  ECHO "<a href='/users/shop/'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
  ECHO "</div>";
  
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "".LG('Магазин услуг')."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  
  EXIT;
  
}
  
?>